Name:           tmux
Version:        1.5
Release:        1
Summary:        A terminal multiplexer

Group:          Applications/System
# Most of the source is ISC licensed; some of the files in compat/ are 2 and
# 3 clause BSD licensed.
License:        ISC and BSD
URL:            http://sourceforge.net/projects/tmux
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  make

BuildRequires:  libevent-devel >= 1.4.14b
Requires:       libevent >= 1.4.14b

BuildRequires:  AIX-rpm >= 5.2.0.0
Requires:       AIX-rpm >= 5.2.0.0

%description
tmux is a "terminal multiplexer."  It enables a number of terminals (or
windows) to be accessed and controlled from a single terminal.  tmux is
intended to be a simple, modern, BSD-licensed alternative to programs such
as GNU Screen.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc CHANGES FAQ NOTES TODO examples/
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
/usr/bin/%{name}


%changelog
* Thu Sep 22 2011 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Thu Sep 22 2011 Michael Perzl <michael@perzl.org> - 1.4-1
- first version for AIX V5.2 and higher
